Запомняне

» Здравейте
[ Вход :: Регистриране ]
 » Начало » Li Форуми » Help & Support » Общи Проблеми и Въпроси » ArchLinux-Проблем с инсталиране на прило
Тема: ArchLinux-Проблем с инсталиране на прило
Мнение #1 Skip to the next post in this topic.
Написано на: Октомври 30 2010, 19:22

No avatar chosen




Група: Li fans
Мнения: 1
Регистриран: Октомври 2010

Оценка: няма

Offline
Здрвейте,
Вчера си инсталирах ArchLinux и не мога нито да го упгрейдна нито да инсталирам програма.Както се казва гласа не съм му чул още :29; .Сървъри съм добавил доста и като изпиша pacman -Sy ми пише,че са up to date.A като ъпгрейдвам тегли ми всички пакети и като трябва да ги инсталира ето вижте какво ми вади:
Code Sample: 
[rado@myhost ~]$ sudo pacman -S amarok
resolving dependencies...
looking for inter-conflicts...

Targets (4): qtscriptgenerator-0.1.0-4  taglib-extras-1.0.1-1  liblastfm-0.3.3-1  amarok-2.3.2-3

Total Download Size:    16.55 MB
Total Installed Size:   64.58 MB

Proceed with installation? [Y/n] y
:: Retrieving packages from extra...
qtscriptgenerator-0.1.0-4-i686           3.5M 1092.2K/s 00:00:03 [####################################] 100%
taglib-extras-1.0.1-1-i686              29.3K  152.8K/s 00:00:00 [####################################] 100%
liblastfm-0.3.3-1-i686                 133.5K  287.9K/s 00:00:00 [####################################] 100%
amarok-2.3.2-3-i686                     12.9M 1179.1K/s 00:00:11 [####################################] 100%
checking package integrity...
error: failed to commit transaction (invalid or corrupted package)
qtscriptgenerator-0.1.0-4-i686.pkg.tar.xz is invalid or corrupted
liblastfm-0.3.3-1-i686.pkg.tar.xz is invalid or corrupted
amarok-2.3.2-3-i686.pkg.tar.xz is invalid or corrupted
Errors occurred, no packages were upgraded.

Къде ли не търсих за решение и навсякъде удрям греда.Много ще съм му благодарен ако някой може да ми помогне да отстраня този проблем.Благодаря предварително.
Контакти:  radoshow

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #2 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Октомври 31 2010, 12:06

No avatar chosen




Група: Li gurus
Мнения: 1489
Регистриран: Април 2005

Оценка: 5

Offline
ами това значи че архивите които си свалил са повредени - вариантите са 3
1. сваляш повредени архиви - много малко вероятно особено ако ползваш официални сървъри
2. кофти нет по време на сваляне - малко вероятно защото пакетите си имат проверки на контролни суми
3. повреден диск - най вероятно - дискът ти има доста немаркирани лоши сектори което прави невъзможно да се прочете информацията записана върху тях и това довежда до съобщенията за повредени файлове
Контакти:  mcwolf

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #3 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Ноември 05 2010, 21:50

Avatar




Група: Li fans
Мнения: 44
Регистриран: Октомври 2008

Оценка: няма

Offline
Ако има българско огледало е доста възможно.

2pac said "...even if I die I`m gonna be a fuckin`problem..."
Контакти:  bazu

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #4
Skip to the previous post in this topic. Написано на: Ноември 06 2010, 12:33

No avatar chosen




Група: Li fans
Мнения: 42
Регистриран: Април 2010

Оценка: няма

Offline
Отвори /etc/pacman.d/mirrorlist и коментираи българския сървър и избери някой германски те са редовни
Контакти:  ROKO__

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Общо 3 отговор(а) от Октомври 30 2010, 19:22 до сега
 » Начало » Li Форуми » Help & Support » Общи Проблеми и Въпроси » ArchLinux-Проблем с инсталиране на прило

© 2014 Linux Index Project
Powered by iF 1.0.0 © 2006 ikonForums